# Arbitrage (Cryptohopper API)

Exchange and market arbitrage hoppers: backlog, results, trade history and cancelling arbitrage.

- [Get positions in backlog](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/get-positions-in-backlog.md): `GET /hopper/{id}/arbitrage/backlog`
- [Delete backlog positions](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/delete-positions-in-backlog.md): `DELETE /hopper/{id}/arbitrage/backlog`
- [Get backlog item](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/get-backlog-item.md): `GET /hopper/{id}/arbitrage/backlog/{backlog_id}`
- [Delete a backlog position](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/delete-a-positions-in-backlog.md): `DELETE /hopper/{id}/arbitrage/backlog/{backlog_id}`
- [Cancel arbitrage](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/post-hopper-id-arbitrage-cancel.md): `POST /hopper/{id}/arbitrage/cancel`
- [Get open exchange arbitrages](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/get-used-exchanges-for-this-hopper.md): `GET /hopper/{id}/arbitrage/exchange`
- [Cancel arbitrage](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/post-hopper-id-arbitrage-exchange-cancel.md): `POST /hopper/{id}/arbitrage/exchange/cancel`
- [Cancel arbitrage](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/post-hopper-id-arbitrage-exchange-cancel-arbitrage-id.md): `POST /hopper/{id}/arbitrage/exchange/cancel/{arbitrage_id}`
- [Get trade history for arbitrage hopper](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/get-trade-history-for-arbitrage-hopper.md): `GET /hopper/{id}/arbitrage/exchange/history/{start}/{limit}`
- [Get exchange arbitrage scan results](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/get-trade-results-from-arbitrage-hopper.md): `GET /hopper/{id}/arbitrage/exchange/results`
- [Get open market arbitrages](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/get-market-trades-from-arbitrage-hopper.md): `GET /hopper/{id}/arbitrage/market`
- [Cancel market arbitrage](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/post-hopper-id-arbitrage-market-cancel.md): `POST /hopper/{id}/arbitrage/market/cancel`
- [Cancel market arbitrage](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/post-hopper-id-arbitrage-market-cancel-arbitrage-id.md): `POST /hopper/{id}/arbitrage/market/cancel/{arbitrage_id}`
- [Get trade history for market arbitrage hopper](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/get-trade-history-for-market-arbitrage-hopper.md): `GET /hopper/{id}/arbitrage/market/history/{start}/{limit}`
- [Get market arbitrage scan results](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/get-trade-results-from-market-arbitrage-hopper.md): `GET /hopper/{id}/arbitrage/market/results`
- [Get total assets from arbitrage hopper](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/get-total-assets-from-arbitrage-hopper.md): `GET /hopper/{id}/arbitrage/total`
- [Reset total assets from arbitrage hopper](https://www.cryptohopper.com/api-documentation/api-reference/arbitrage/reset-total-assets-from-arbitrage-hopper.md): `DELETE /hopper/{id}/arbitrage/total`

